/* Copyright (C) S. Brett Sutton - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Brett Sutton <bsutton@onepub.dev>, Jan 2022
 */

export 'package:args/args.dart';
export 'package:crypto/crypto.dart' show Digest;
export 'package:dcli_core/dcli_core.dart'
    show
        // BackupFileException,
        // MoveDirException,
        // TouchException,
        // Which,
        StackTraceImpl,
        StackList,
        DCliException,
        // HeadException,
        truepath,
        env,
        HOME,
        PATH,
        isOnPATH,
        envs,
        Env,
        FindItem,
        pwd,
        PlatformEx,
        LineAction,
        CancelableLineAction,
        rootPath,
        privatePath,
        // RestoreFileException,
        translateAbsolutePath,
        RunException
    // CatException;
    ;
export 'package:dcli_core/src/util/dev_null.dart';
export 'package:dcli_core/src/util/platform.dart';
// hide
//     backupFile,
//     restoreFile,
//     withFileProtection,
//     translateAbsolutePath,
//     copy,
//     copyTree,
//     createDir,
//     createTempDir,
//     withTempDir,
//     delete,
//     deleteDir,
//     env,
//     HOME,
//     PATH,
//     isOnPATH,
//     envs,
//     Env,
//     isFile,
//     isDirectory,;
export 'package:path/path.dart'
    hide
        PathMap,
        PathSet,
        Style,
        Context,
        context,
        posix,
        style,
        url,
        windows,
        hash,
        prettyUri,
        toUri,
        fromUri,
        current;

export 'src/functions/ask.dart';
export 'src/functions/backup.dart';
export 'src/functions/cat.dart' show cat, CatException;
export 'src/functions/copy.dart' show copy, CopyException;
export 'src/functions/copy_tree.dart' show copyTree;
export 'src/functions/create_dir.dart'
    show createDir, createTempDir, withTempDir, CreateDirException;
export 'src/functions/delete.dart' show delete, DeleteException;
export 'src/functions/delete_dir.dart' show deleteDir, DeleteDirException;
export 'src/functions/echo.dart' show echo;
export 'src/functions/env.dart';
export 'src/functions/fetch.dart'
    show
        fetch,
        fetchMultiple,
        FetchException,
        FetchProgress,
        FetchStatus,
        FetchUrl,
        OnFetchProgress,
        FetchMethod,
        FetchData;
export 'src/functions/file_list.dart' show fileList;
export 'src/functions/find.dart' show find, Find;
export 'src/functions/head.dart' show head;
export 'src/functions/is.dart';
export 'src/functions/menu.dart' show menu;
export 'src/functions/move.dart' show move, MoveException;
export 'src/functions/move_dir.dart' show moveDir, MoveDirException;
export 'src/functions/move_tree.dart' show moveTree, MoveTreeException;
export 'src/functions/read.dart' show read, readStdin, ReadException;
export 'src/functions/replace.dart' show replace;
export 'src/functions/run.dart' show run, start, startFromArgs;
export 'src/functions/sleep.dart' show sleep, Interval;
export 'src/functions/tail.dart' show tail;
export 'src/functions/touch.dart' show touch;
export 'src/functions/which.dart' show which;
export 'src/pubspec/dependency.dart';
export 'src/pubspec/pubspec.dart';
export 'src/script/dart_project.dart';
export 'src/script/dart_script.dart' show DartScript;
export 'src/script/dart_sdk.dart' show DartSdk;
export 'src/settings.dart' show Settings, verbose;
export 'src/shell/shell.dart';
export 'src/shell/unknown_shell.dart';
export 'src/util/ansi.dart';
export 'src/util/ansi_color.dart';
export 'src/util/capture.dart' show capture;
export 'src/util/dcli_paths.dart' show DCliPaths;
export 'src/util/digest_helper.dart';
export 'src/util/editor.dart' show showEditor;
export 'src/util/exit.dart';
export 'src/util/file_sort.dart' show FileSort, Column, SortDirection;
export 'src/util/file_sync.dart';
export 'src/util/file_util.dart';
export 'src/util/format.dart' show Format, TableAlignment;
export 'src/util/named_lock.dart' show NamedLock, LockException;
export 'src/util/process_helper.dart' show ProcessHelper, ProcessDetails;
export 'src/util/progress.dart' show Progress;
export 'src/util/pub_cache.dart';
export 'src/util/remote.dart' show Remote;
export 'src/util/resources.dart' show PackedResource;
export 'src/util/runnable_process.dart' show printerr;
export 'src/util/string_as_process.dart';
export 'src/util/temp_file.dart';
export 'src/util/terminal.dart';
export 'src/util/wait_for_ex.dart' show waitForEx;
